NL(1)

NAME
nl - Number lines of files

SYNOPSIS
nl [--help] [-b|--body-numbering] [-d|--section-delimiter] [-f|--footer-numbering] [-h|--header-numbering] [-i|--line-increment] [-l|--join-blank-lines] [-n|--number-format] [-p|--no-renumber] [-s|--number-separator] [-v|--starting-line-number] [-w|--number-width] [-V|--version] [file]

DESCRIPTION
Number lines of files

OPTIONS

--help
    Print help information.

-b, --body-numbering <STYLE>
    use STYLE for numbering body lines

-d, --section-delimiter <CC>
    use CC for separating logical pages

-f, --footer-numbering <STYLE>
    use STYLE for numbering footer lines

-h, --header-numbering <STYLE>
    use STYLE for numbering header lines

-i, --line-increment <NUMBER>
    line number increment at each line

-l, --join-blank-lines <NUMBER>
    group of NUMBER empty lines counted as one

-n, --number-format <FORMAT>
    insert line numbers according to FORMAT Possible values:

    •   ln

    •   rn

    •   rz

-p, --no-renumber
    do not reset line numbers at logical pages

-s, --number-separator <STRING>
    add STRING after (possible) line number

-v, --starting-line-number <NUMBER>
    first line number on each logical page

-w, --number-width <NUMBER>
    use NUMBER columns for line numbers

-V, --version
    Print version

EXTRA
## Examples Number non-blank lines in a file: nl {{path/to/file}} Read from `stdin`: {{command}} | nl - Number [a]ll [b]ody lines including blank lines or do [n]ot number [b]ody lines: nl -b {{a|n}} {{path/to/file}} Number only the [b]ody lines that match a basic `regex` (BRE) [p]attern: nl -b p'FooBar[0-9]' {{path/to/file}} Use a specific [i]ncrement for line numbering: nl -i {{increment}} {{path/to/file}} Specify the line numbering format to [r]ight or [l]eft justified, keeping leading [z]eros or [n]ot: nl -n {{rz|ln|rn}} Specify the line numbering's [w]idth (6 by default): nl -w {{col_width}} {{path/to/file}} Use a specific string to [s]eparate the line numbers from the lines (`TAB` by default): nl -s {{separator}} {{path/to/file}} > The examples are provided by the [tldr-pages project](https://tldr.sh) under the [CC BY 4.0 License](https://github.com/tldr-pages/tldr/blob/main/LICENSE.md). > > Please note that, as uutils is a work in progress, some examples might fail.

VERSION
v(uutils coreutils) 0.10.0